> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 重試投遞

> 將某次失敗投遞中已存儲的負載重新發送到該 Webhook 端點。

## 路徑參數

<ParamField path="id" type="string" required>
  Webhook 的 UUID。
</ParamField>

<ParamField path="deliveryId" type="string" required>
  來自[投遞日誌](/api-reference/webhooks/deliveries)的投遞 UUID。
</ParamField>

## 行為說明

重新發送投遞日誌中存儲的原始事件負載。重試會使用該 Webhook 當前的 URL 和簽名密鑰——如果自原始投遞以來兩者中任一項已發生變更，重試將使用更新後的值。

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID/deliveries/DELIVERY_ID/retry \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  // Use the REST API directly — retry is not yet in the SDK
  await fetch(`https://www.hitheo.ai/api/v1/webhooks/${webhookId}/deliveries/${deliveryId}/retry`, {
    method: "POST",
    headers: { Authorization: `Bearer ${apiKey}` },
  });
  ```
</CodeGroup>

### 響應

```json theme={null}
{
  "retried": true,
  "delivery_id": "b5c6d7e8-..."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.